Page MenuHomePhabricator

need to update pdns-recursor
Closed, InvalidPublicBUG

Description

We need to update pdns due to ksk rollover
Version 4.0.5 and later of PowerDNS Recursor come with KSK2017 as part of the installed trust anchors.

Details

Difficulty level
Easy (less than an hour)
Version
1.2
Why the issue appeared?
Will be filled on close
syncer created this task.Tue, Oct 2, 11:01 PM
syncer assigned this task to c-po.
c-po added a subscriber: dmbaturin.Wed, Oct 3, 12:43 PM

I think it's better to assign @dmbaturin b/c he build the used pdns package located at http://dev.packages.vyos.net/repositories/current/debian/pool/main/p/pdns-recursor/ and I have no access to this location.

I also don't find a Jenkins Job.

c-po reassigned this task from c-po to dmbaturin.Wed, Oct 3, 12:43 PM
c-po changed Difficulty level from Unknown (require assessment) to Easy (less than an hour).
c-po added a subscriber: c-po.
syncer triaged this task as High priority.Sun, Oct 7, 2:23 AM
syncer edited projects, added VyOS 1.2.x (VyOS 1.2.0-rc1); removed VyOS 1.2.x.
syncer moved this task from Needs Triage to Backlog on the VyOS 1.2.x (VyOS 1.2.0-rc1) board.
dmbaturin closed this task as Invalid.Tue, Oct 9, 4:43 PM

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=866112

According to https://www.icann.org/dns-resolvers-checking-current-trust-anchors , we should be fine indeed:

dmbaturin@vyos:~$ sudo rec_control get-tas
Configured Trust Anchors:
.
		19036 8 2 49aac11d7b6f6446702e54a1607371607a1a41855200fd2ce1cdde32f24e8fb5
		20326 8 2 e06d44b80b8f1d39a95c0b0d7c65d08458e880409bbc683457104237c7f8ec8d